%define oname   em-socksify

Name:       ruby-%{oname}
Version:    0.3.2
Release:    %mkrel 4
Summary:    Adds SOCKS support to any protocol
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/igrigorik/em-socksify
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:		em-socksify-0.2.1-verreq.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
EventMachine SOCKSify shim: adds SOCKS support to any protocol.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 0.3.2-4.mga9
+ Revision: 1826200
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-3.mga8
+ Revision: 1507696
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1290913
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 0.3.2-1.mga7
+ Revision: 1214124
- Update to 0.3.2

* Sun Oct 16 2016 tv <tv> 0.3.1-2.mga6
+ Revision: 1061027
- switch to %%autosetup (mga#15579)

* Sun Jan 03 2016 pterjan <pterjan> 0.3.1-1.mga6
+ Revision: 918635
- Update to 0.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-10.mga5
+ Revision: 750016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-9.mga5
+ Revision: 688792
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.2.1-8.mga4
+ Revision: 561845
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.2.1-7.mga4
+ Revision: 561164
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-6.mga4
+ Revision: 535394
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.2.1-5.mga4
+ Revision: 481987
- Rebuild for Ruby 2

* Fri Sep 13 2013 pterjan <pterjan> 0.2.1-4.mga4
+ Revision: 478258
- Use gem_setup
- Update the patch to apply to the gemspec
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.2.1-3.mga3
+ Revision: 395892
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 380853
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.2.1-1.mga3
+ Revision: 312912
- imported package ruby-em-socksify

